#!/bin/sh
etcnet=/etc/net/ifaces/eth0
ip=$etcnet/ipv4address
op=$etcnet/options
d=/home/altlinux/.config
clear
sh $d/net-state.sh
if ! [[ $? == 0 ]]; then exit 0; fi
tmac0=`ip a | grep -i -A 3 eth0 | grep -i link | sed -n '1p' | sed 's/^[ \t]*//;s/[ \t]*$//' | cut -d ' ' -f2`
tmacudev=`sed -e '/^ *#/d; /^[ \t]*$/d' /etc/udev/rules.d/70-persistent-net.rules | sed '$!d' | sed 's/ //g;s/"//g;s/==/ /g' | cut -d ',' -f4 | cut -d ' ' -f2`
if [[ ! -e $ip && -s $op && $tmacudev == $tmac0 ]]; then
while [[ `ip a | grep -i -A 3 eth0 | grep -i inet | sed '/inet6/d' | sed -n '1p' | sed 's/^[ \t]*//;s/[ \t]*$//' | cut -d ' ' -f2` == "" ]]; do
t=$((t + 1))
sleep 1
if [ $t -gt 9 ]; then echo "Сетевой интерфейс в течение 10 секунд не получил адреса от dhcp сервера." 
exit 0
fi
done
echo "Сетевой интерфейс настроен на получение адреса от dhcp сервера. Сетевому интерфейсу выдан адрес: "`ip a | grep -i -A 3 eth0 | grep -i inet | sed '/inet6/d' | sed -n '1p' | sed 's/^[ \t]*//;s/[ \t]*$//' | cut -d ' ' -f2`"."
fi
if [[ -s $ip && -s $op && $tmacudev == $tmac0 ]]; then
echo "Сетевому интерфейсу присвоен адрес: "`ip a | grep -i -A 3 eth0 | grep -i inet | sed '/inet6/d' | sed -n '1p' | sed 's/^[ \t]*//;s/[ \t]*$//' | cut -d ' ' -f2`"."
fi
sh $d/anykey.sh