#!/bin/sh
d=/home/altlinux/.config
lf=$d/log.txt
etcnet=/etc/net/ifaces/eth0
op=$etcnet/options
ip=$etcnet/ipv4address
if [[ -e $d/ip && -e $d/dhcp ]]; then echo `date +%b" "%d" "%X`" -- Найдены оба файла (ip и dhcp). Настройка сети невозможна." >> $lf
exit 0
fi
if [[ -e $d/ip || -e $d/dhcp ]]; then
 if ! [ -d $etcnet ]; then su - -c "mkdir $etcnet" root; fi
 if [ -e $op ]; then su - -c "rm -f $op && touch $op && echo 'TYPE=eth' >> $op" root; fi
 if [ -e $ip ]; then su - -c "rm -f $ip" root; fi
 if [ -e $d/ip ]; then
 su - -c "mv $d/ip $ip && echo 'BOOTPROTO=static' >> $op" root
 echo `date +%b" "%d" "%X`" -- Cетевому интерфейсу присвоен указанный ранее адрес: "`cat $ip`"." >> $lf
 else echo `date +%b" "%d" "%X`" -- Файл ip не найден. Пропускаем установку ip адреса." >> $lf && di=1
 fi
 if [ -e $d/dhcp ]; then
 su - -c "rm -f $d/dhcp && echo 'BOOTPROTO=dhcp' >> $op"
 echo `date +%b" "%d" "%X`" -- Сетевой интерфейс настроен на получение адреса от dhcp сервера." >> $lf
 else echo `date +%b" "%d" "%X`" -- Файл dhcp не найден. Пропускаем установку по dhcp." >> $lf && si=1
 fi
 if [[ $si == 1 && $di == 1 ]]; then exit 0; fi
 echo `date +%b" "%d" "%X`" -- Перезапуск сетевой службы для применения внесённых в конфигурацию сети изменений." >> $lf
 su - -c "systemctl restart network.service" root
 echo `date +%b" "%d" "%X`" -- Сетевая служба была перезапущена." >> $lf
else
 echo `date +%b" "%d" "%X`" -- Файл для изменения настроек сетевого интерфейса найден не был, нечего конфигурировать." >> $lf
fi